Skip to main content
GET
/
api
/
svc
/
v1
/
agents
/
{id}
Get Agent
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/agents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "name": "<string>",
    "fqn": "<string>",
    "tenantName": "<string>",
    "accountId": "<string>",
    "latestVersion": 123,
    "type": "<string>",
    "createdBySubject": {
      "subjectId": "<string>",
      "subjectType": "user",
      "subjectSlug": "<string>",
      "subjectDisplayName": "<string>",
      "subjectPatName": "<string>",
      "subjectControllerName": "<string>",
      "subjectExternalIdentitySlug": "<string>"
    },
    "id": "<string>",
    "latestVersionDetails": {
      "agentId": "<string>",
      "fqn": "<string>",
      "manifest": {
        "type": "truefoundry-agent",
        "name": "<string>",
        "description": "<string>",
        "model": "<string>",
        "collaborators": [
          {
            "subject": "<string>",
            "role_id": "<string>"
          }
        ],
        "tags": {},
        "model_params": {
          "max_tokens": 123,
          "reasoning_effort": "none",
          "temperature": 123,
          "top_p": 123
        },
        "skills": [
          {
            "fqn": "<string>",
            "preload_skill_md": false
          }
        ],
        "mcp_servers": [
          {
            "name": "<string>",
            "deferred": false,
            "tools": [
              {
                "name": "<string>"
              }
            ]
          }
        ],
        "instruction": "<string>",
        "messages": [
          {
            "role": "user",
            "content": "<string>"
          }
        ],
        "variables": {},
        "response_format": {
          "type": "text"
        },
        "sandbox": {
          "enabled": true
        },
        "iteration_limit": 99,
        "ownedBy": {
          "account": "<string>"
        }
      },
      "version": 123,
      "id": "<string>",
      "metadata": {},
      "createdBySubject": {
        "subjectId": "<string>",
        "subjectType": "user",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      }
    },
    "createdBy": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Agent Id

Response

Agent retrieved successfully

data
Agent · object
required

Agent